Subject: bug#50674: Major mode for etc/AUTHORS with basic font-locking

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Sep 2021 19:25:19 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 19 Sep 2021 07:12:40 -0700
> 
> Please find attached a small visual improvement for the splash screen,
> or rather the AUTHORS file that is reachable from the splash screen.
> It comes in the form of a major mode for etc/AUTHORS that has some basic
> font-locking and nothing else.

Thanks, LGTM.

Did you try these faces on TTY frames, in particular those with 8 or
16 colors?  I think those will need separate face definitions.

> +(defgroup etc-authors-mode nil
> +  "Display the etc/AUTHORS file in the Emacs distribution."

If we only intend this to be used for our etc/AUTHORS, then how about
saying that explicitly in the other doc strings, instead of
referencing etc-authors-mode?